Sites Web

Authentication
La clé API doit être envoyée sous forme de jeton Bearer dans l'en-tête Authorization de la requête. Obtenez votre clé API.
List

Point de terminaison de l'API

GET
https://stats.sycow.fr/api/v1/websites

Exemple de requête

curl --location --request GET 'https://stats.sycow.fr/api/v1/websites' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'

Parameters

Nom
Type
Description
search
optionnel string
Search query.
search_by
optionnel string
Rechercher par. Possible values are: domain for Domaine. Defaults to: domain.
favorite
optionnel boolean
Filter by favorite.
sort_by
optionnel string
Trier par. Possible values are: id for Date created, domain for Domaine. Defaults to: id.
sort
optionnel string
Trier. Possible values are: desc for Descendant, asc for Ascendant. Defaults to: desc.
per_page
optionnel integer
Résultats par page. Possible values are: 10, 25, 50, 100. Defaults to: 100.
Affichage

Point de terminaison de l'API

GET
https://stats.sycow.fr/api/v1/websites/{id}

Exemple de requête

curl --location --request GET 'https://stats.sycow.fr/api/v1/websites/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Store

Point de terminaison de l'API

POST
https://stats.sycow.fr/api/v1/websites

Exemple de requête

curl --location --request POST 'https://stats.sycow.fr/api/v1/websites' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'domain={domain}'

Parameters

Nom
Type
Description
domain
requis string
Nom de doamine
privacy
optionnel integer
Confidentialité. Possible values are: 0 for Public, 1 for Privé, 2 for Mot de passe.Defaults to: 1.
password
optionnel string
Mot de passe. Only works with privacy field set to 2.
email
optionnel integer
Rapports périodiques par courrier électronique. Possible values are: 0 for Désactiver, 1 for Activer. Defaults to: 0.
exclude_bots
optionnel integer
Exclure les bots courants du suivi. Possible values are: 0 for Désactiver, 1 for Activer. Defaults to: 1.
exclude_params
optionnel string
Exclude URL query parameters from being tracked. Une par ligne
exclude_ips
optionnel string
Exclude IPs from being tracked. Une par ligne
favorited_at
optionnel string
Favorited at date in Y-m-dTH:i:s format.
Update

Point de terminaison de l'API

PUT PATCH
https://stats.sycow.fr/api/v1/websites/{id}

Exemple de requête

curl --location --request PUT 'https://stats.sycow.fr/api/v1/websites/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'

Parameters

Nom
Type
Description
privacy
optionnel integer
Confidentialité. Possible values are: 0 for Public, 1 for Privé, 2 for Mot de passe.
password
optionnel string
Mot de passe. Only works with privacy field set to 2.
email
optionnel integer
Rapports périodiques par courrier électronique. Possible values are: 0 for Désactiver, 1 for Activer.
exclude_bots
optionnel integer
Exclure les bots courants du suivi. Possible values are: 0 for Désactiver, 1 for Activer.
exclude_params
optionnel string
Exclude URL query parameters from being tracked. Une par ligne
exclude_ips
optionnel string
Exclude IPs from being tracked. Une par ligne
favorited_at
optionnel string
Favorited at date in Y-m-dTH:i:s format.
Supprimer

Point de terminaison de l'API

DELETE
https://stats.sycow.fr/api/v1/websites/{id}

Exemple de requête

curl --location --request DELETE 'https://stats.sycow.fr/api/v1/websites/{id}' \
--header 'Authorization: Bearer {api_key}'